package boshclient

import (
	"fmt"
	"log"
	"net/http"
	"strings"
)

func (c *Client) GetDirectorVersion(logger *log.Logger) (string, error) {
	var boshInfo BoshInfo

	err := c.getDataFromBoshCheckingForErrors(fmt.Sprintf("%s/info", c.boshURL), http.StatusOK, &boshInfo, logger)
	if err != nil {
		return "", err
	}

	longVersion := strings.Fields(boshInfo.Version)[0]
	versionFields := strings.Split(longVersion, ".")

	if len(versionFields) != 4 {
		return "0.0.0", nil
	}

	return strings.Join(versionFields[0:3], "."), nil
}
